#include "stm32f4xx.h"
#include "stm32f4xx_conf.h"
#include "stm32f4xx_gpio.h"
#include "main.h"


int main(void) {

    //Clock für GPIOD (LEDs, Taster) aktivieren
    RCC_AHB1PeriphClockCmd(RCC_AHB1Periph_GPIOD, ENABLE);

    //GPIOD (LEDs) konfigurieren
    GPIO_InitTypeDef  GPIO_InitStructure;
    GPIO_InitStructure.GPIO_Pin   = LED_GREEN | LED_ORANGE | LED_RED | LED_BLUE;
    GPIO_InitStructure.GPIO_Mode  = GPIO_Mode_OUT;
    GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
    GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
    GPIO_InitStructure.GPIO_PuPd  = GPIO_PuPd_NOPULL;
    GPIO_Init(GPIOD, &GPIO_InitStructure);

    //Alle LEDs aus
    GPIOD_CLEAR = LED_GREEN | LED_ORANGE | LED_RED | LED_BLUE;

//zum Testen: reihenfolge der LEDs umschalten
#define DIR1

#ifdef DIR1
    //Leds nacheinander aus
    GPIOD_SET = LED_BLUE;
    Delay(10000000L);
    GPIOD_SET = LED_RED;
    Delay(10000000L);
    GPIOD_SET = LED_ORANGE;
    Delay(10000000L);
    GPIOD_SET = LED_GREEN;
    Delay(10000000L);

    //LEDs nacheinander an
    GPIOD_CLEAR = LED_GREEN;
    Delay(10000000L);
    GPIOD_CLEAR = LED_ORANGE;
    Delay(10000000L);
    GPIOD_CLEAR = LED_RED;
    Delay(10000000L);
    GPIOD_CLEAR = LED_BLUE;

#else
    //LEDs nacheinander an
    GPIOD_SET = LED_GREEN;
    Delay(10000000L);
    GPIOD_SET = LED_ORANGE;
    Delay(10000000L);
    GPIOD_SET = LED_RED;
    Delay(10000000L);
    GPIOD_SET = LED_BLUE;
    Delay(10000000L);

    //Leds nacheinander aus
    GPIOD_CLEAR = LED_BLUE;
    Delay(10000000L);
    GPIOD_CLEAR = LED_RED;
    Delay(10000000L);
    GPIOD_CLEAR = LED_ORANGE;
    Delay(10000000L);
    GPIOD_CLEAR = LED_GREEN;
#endif
//    Delay(10000000L);
//    GPIOD->BSRRH = LED_GREEN | LED_ORANGE | LED_RED | LED_BLUE;


    while (1) {

    }
}

void Delay(__IO uint32_t nCount) {
  while(nCount--) {
  }
}
